@charset "utf-8";
/*重置*/
body { font: 14px/1.5 'Microsoft YaHei', tahoma, arial, 'Hiragino Sans GB', '\5b8b\4f53', sans-serif;  background: #f2f5fa; -webkit-font-smoothing: antialiased; color: #1c1f21;}
input, textarea, select { font-family: inherit; margin:0;padding:0; background:none;border:1px solid #a2a2a2;}
body, h1, h2, h3, h4, h5, h6, p, ul, ol, menu, li, form, div, dl, dt, dd, pre ,fieldset, input, textarea, blockquote, th, td, figure{ margin: 0; padding:0;-webkit-tap-highlight-color: rgba(0,0,0,0);}
button, input, optgroup, option, select, textarea{outline: 0;}
ul, ol ,menu{ list-style-type: none; }
a { text-decoration:none; color: inherit;}
img { border: 0; }
/* :link,:visited,ins{text-decoration:none;}
a:link,a:visited{color:#5e5e5e}
a:link,a:visited,body,html{color:#1c1f21} */

.fl{float:left}
.fr{float:right}
.clearfix:after{content:'\0020';display:block;height:0;clear:both;visibility:hidden}

/*共用-样式类*/
.text-base{color: #1c1f21;}
.text-regular{color: #6d7278;}
.text-secondary{color: #9a9ca9;}
.text-placeholder{color: #ccc;}
.text-primary{color: #409EFF;}
.text-success{color: #00cc7e;}
.text-warning{color: #E6A23C;}
.text-danger{color: #F56C6C;}
.text-large{font-size: 16px;}
.text-midst{font-size: 14px;}
.text-small{font-size: 12px;}
.text-right{text-align: right;}
.text-center{text-align: center;}
.text-left{text-align: left;}
.bg-white{background: #fff;}
.mt20{margin-top: 20px;}
.mr20{margin-right: 20px;}
.mb20{margin-bottom: 20px;}
.ml20{margin-left: 20px;}
.mt10{margin-top: 10px;}
.mr10{margin-right: 10px;}
.mb10{margin-bottom: 10px;}
.ml10{margin-left: 10px;}
.mt5{margin-top: 5px;}
.mr5{margin-right: 5px;}
.mb5{margin-bottom: 5px;}
.ml5{margin-left: 5px;}
.hide{opacity: 0;visibility: hidden;}
.text-ellipsis{
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.text-ellipsis-2{
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  word-break: break-all;
}
.text-ellipsis-3{
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  word-break: break-all;
}
/*vue花括号处理*/
[v-cloak] {
  display: none !important;
}
/* vue过渡动画 */
.fade-enter-active, .fade-leave-active {
	transition: opacity .5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
	opacity: 0;
}
.scrollbar::-webkit-scrollbar{
	width: 8px;
	height: 8px
}
.scrollbar::-webkit-scrollbar-corner{
	background-color: rgba(0,0,0,.3);
}
.scrollbar::-webkit-scrollbar-thumb{
	background-color: rgba(0,0,0,.2);
}

/* element-ui */
.el-card.is-never-shadow{
	border: none;
}
.el-card.is-always-shadow{
	box-shadow: 0 1px 10px 0 rgba(0, 0, 0, .05);
}
.el-pagination{
	text-align: center;
	margin: 50px 0;
}
.el-link[size=small]{
	font-size: 12px;
}
.el-col-5{
	width: 20%
}
@media only screen and (max-width: 767px) {
	.el-col-xs-5 {
        width: 20%
    }
}
@media only screen and (min-width: 768px) {
	.el-col-sm-5 {
        width: 20%
    }
}
@media only screen and (min-width: 992px){
	.el-col-md-5 {
		width: 20%;
	}
}
@media only screen and (min-width: 1200px) {
	.el-col-lg-5 {
        width: 20%
    }
}
@media only screen and (min-width: 1920px) {
	.el-col-xl-5 {
        width: 20%
    }
}
.el-row--flex{
	flex-wrap: wrap;
}
.el-page-header{
	margin: 20px 0;
}
.el-collapse-item__header{
	background: #f2f2f2;
	padding-left: 10px;
}
.el-avatar>img{
	width: 100%;
}
.el-dialog__title {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
}
.el-dialog__body{
	padding: 20px;
}
.el-dialog.is-fullscreen .el-dialog__body{
	height: calc(100% - 54px);
	overflow: auto;
}
.el-upload__tip{
	line-height: 1.6;
}
.el-upload-list--picture .el-upload-list__item-status-label{
	top: auto !important;
    bottom: -7px;
    transform: rotate(-45deg);
	display: block !important;
    right: -17px !important;
}
.el-upload-list--picture .el-upload-list__item{
	pointer-events: none;
}
.el-upload-list--picture .el-upload-list__item-status-label i{
	margin-top: 0px;
    transform: rotate(45deg);
    position: relative;
    top: -5px;
}
.el-upload-list--picture .el-upload-list__item .el-icon-close{
	display: inline-block !important;
	pointer-events: all;
}
.el-upload-list__item{
	transition: none;
}
/* 占位图 */
.empty-data{
	height: 300px;
	background: url("../imgs/nodata.png") center center no-repeat;
	background-size: 200px;
}

/*头部*/
.header{
	position: relative;
	z-index: 10;
	/* min-width: 1024px; */
	height: 60px;
	background: #fff;
	box-shadow: 0 2px 15px rgba(0,0,0,.1);
	font-size: 15px;
}
.header	.container{
	display: flex;
	align-items: center;
	height: 100%;
}
.header	.logo{
	display: block;
	margin-right: 4%;
}
.header	.logo img{
	max-height: 40px;
	vertical-align: bottom;
}
.header	.menu{
	height: 40px;
	line-height: 40px;
	display: flex;
	flex: 1;
}
.header	.menu li{
	margin: 0 20px;
	cursor: pointer;
	position: relative;
	white-space: nowrap;
}
.header	.menu li a{
	color: #47494e;
	display: block;
}
.header	.menu li a:hover{
	color: #409EFF;
}
.header	.menu li.active a{
	color: #409EFF;
	font-weight: bold;
	border-bottom: 2px solid #409EFF;
}
.header .search{
	width: 160px;
	margin-right: 20px;
}
.header .search input{
	border-radius: 20px;
}
.header	.user-img,
.school-header	.user-img{
	width: 32px;
	height: 32px;
	border-radius: 50%;
	object-fit: cover;
	object-position: center;
	vertical-align: middle;
}
.header	.user-name{
	display: inline-block;
	max-width: 110px;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	vertical-align: middle;
}
.header .dropdown{
	position: relative;
	height: 60px;
	line-height: 60px;
}
.header .dropdown-nav{
	height: 100%;
	cursor: pointer;
	display: flex;
	align-items: center;
}
.header .dropdown:hover .dropdown-nav{
	color: #409EFF;
}
.header .dropdown-menu{
	position: absolute;
	right: 0;
	top: 61px;
	background: #fff;
	border-radius: 4px;
	box-shadow: 0 0 10px rgba(0,0,0,.1);
	padding: 10px 0;
	opacity: 0;
	visibility: hidden;
	transition-duration: .3s;
}
.header .dropdown-menu li{
	font-size: 14px;
	white-space: nowrap;
	line-height: 32px;
	padding: 0 20px;
	cursor: pointer;
}
.header .dropdown-menu li:hover{
	background: #f2f2f2;
}
.header .dropdown-menu .dropdown-menu-header{
	padding: 10px 20px;
	cursor: default;
	display: flex;
	align-items: center;
}
.header .dropdown-menu .dropdown-menu-header .user-name{	
	font-size: 12px;
	color: #7f818c;
	margin-left: 5px;
}
.header .dropdown-menu .dropdown-menu-header:hover{
	background: none;
}
.header .dropdown:hover .dropdown-menu{
	opacity: 1;
	visibility: visible;
}
/*中间内容*/
.main{
	/* min-width: 1024px; */
	min-height: calc(100vh - 160px);
	position: relative;
}
.container{
	width:1200px;
	margin-left: auto;
	margin-right: auto;
}
/*底部*/
.footer{
	padding: 50px 0 60px;
	/* min-width: 1024px; */
	background: #334661;
	color: #d2d2d2;
	background: url(../imgs/footer-bg.jpg) center center no-repeat;
	background-size: cover;
	text-align: center;
	display: flex;
	justify-content: center;
}
.footer a{
	color: #d2d2d2;
	margin: 0 10px;
	display: inline-block;
}
.footer a:hover{
	color: #fff;
}
.footer-logo{
	font-size: 32px;
	font-weight: 800;
	font-style: italic;
	margin-bottom: 50px;
	color: #fff;
}
.footer-logo small{
	font-size: 20px;
	font-weight: normal;
}
.footer-addr{
	opacity: .8;
	margin: 20px 0;
	border-bottom: 1px solid #3d3f40;
	font-size: 12px;
}
.footer-addr>div{
	margin-bottom: 20px;
}
.footer-copyright{
	font-size: 12px;
}


/* 课程卡片 */
.experiment-list{
	margin-top: 30px;
}
.experiment-card{
    background: #fff;
    box-shadow: 0 1px 10px rgba(0,0,0,.1);
    /* border-radius: 10px; */
    margin-bottom: 20px;
    color: #6d7278;
    font-size: 12px;
	cursor: pointer;
	position: relative;
    box-sizing: border-box;
}
.experiment-card>a{
	display: block;
	padding: 10px 15px;
}
.experiment-card:hover{
	box-shadow: 0 1px 15px rgba(0,0,0,.12) !important;
	z-index: 1;
}
.experiment-img{
	padding-top: 56%;
	position: relative;
	/* border-radius: 10px 10px 0 0; */
	overflow: hidden;
    background-size: cover;
}
.experiment-card .experiment-img{
	padding-top: 60%;
	margin: -10px -15px 10px;
}
.experiment-img>img,
.experiment-img .el-image{
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
}
.experiment-img .el-image{
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 20px;
	background: #ecf5ff;
	color: #409EFF;
}
.experiment-img .el-image img{
	background: #fff;
}
.experiment-title{
    font-size: 14px;
    font-weight: normal;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin-bottom: 5px;
    color: #1c1f21;
}
.experiment-content{
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin-bottom: 5px;
	height: 18px;
}
.experiment-footer{
	display: flex;
	justify-content: space-between;
	align-items: center;
	white-space: nowrap;
	flex-wrap: wrap;
}
.experiment-footer i{
    font-size: 16px;
    vertical-align: middle;
}
/* 课程分类 */
.experiment-type-header{
	margin-top: 10px;
	text-align: right;
	display: none;
}
.experiment-type-header a{
	margin-left: 10px;
	cursor: pointer;
}
.experiment-type-container{
	padding-top: 20px;
	margin-top: 20px;
	overflow: hidden;
}
.experiment-type{
	border-bottom: 1px solid #d6d6d6;
}
.experiment-type-item{
	margin-bottom: 10px;
	display: flex;
}
.experiment-type-item dt{
	width: 100px;
	text-align: right;
	margin-right: 20px;
}
.experiment-type-item dd{
	flex: 1;
}
.experiment-type-item dd a{
	display: inline-block;
	font-size: 12px;
	height: 20px;
	line-height: 20px;
	padding: 0 10px;
	border-radius: 20px;
	margin: 0 20px 10px 0;
	cursor: pointer;
}
.experiment-type-item dd a.active{
	background: #409EFF;
	color: #fff;
}
.experiment-type-item dd a img{
	vertical-align: text-bottom;
}
.experiment-type-footer{
	display: none;
	height: 50px;
	position: absolute;
	left: 40px;
	right: 0;
	bottom: 0;
	background: #fff;
	align-items: center;
	justify-content: center;
	padding: 0 10px;
}
.experiment-type-footer .el-button{
	min-width: 150px;
}

/* 屏幕适配 */
/* 小屏幕 */
@media only screen and (max-width: 1399px) {
	.container{
	  width: 980px;
	}
}
/* 平板 */
@media only screen and (max-width: 991px) {
	.el-dialog:not(.is-fullscreen),
	.el-message-box{
		max-width: 92%;
	}
	.container{
	  width: 92%;
	}
	.header{
		padding-bottom: 40px;
		position: relative;
	}
	.header .container{
		justify-content: space-between;
	}
	.header .menu{
		position: absolute;
		left: 0;
		bottom: 0;
		right: 0;
	}
	.header .search{
		display: none;
	}
	.header .dropdown-nav i{
		display: none;
	}
	.header .menu li{
		margin: 0 3%;
	}
}
/* 手机 */
@media only screen and (max-width: 767px) {
	.mobile-hide{
		display: none;
	}
	.header .logo img {
		max-height: 24px;
	}
	.footer{
		padding: 30px 0 40px;
	}
	.footer-logo{
		font-size: 24px;
		margin-bottom: 10px;
	}
	.experiment-list{
		margin-top: 10px;
	}
	.experiment-type-header{
		display: block;
	}
	.experiment-type-container{
		position: fixed;
		left: 0;
		right: 0;
		top: 0;
		bottom: 0;
		z-index: 100;
		margin-top: 0;
		padding-top: 0;
		background: rgba(0, 0, 0, .5) !important;
		width: auto;
		visibility: visible;
		opacity: 1;
		transition-duration: .3s;
	}
	.experiment-type{
		box-sizing: border-box;
		height: 100%;
		padding: 20px 10px 60px;
		margin-left: 40px;
		background: #fff;
		overflow: hidden auto;
		transform: translateX(0);
		transition-duration: .3s;
	}
	.experiment-type-item dt{
		width: 60px;
		margin-right: 10px;
		font-size: 13px;
		white-space: nowrap;
	}
	.experiment-type-item dd a{
		margin: 0 10px 5px 0;
	}
	.experiment-type-footer{
		display: flex;
		transform: translateX(0);
		transition-duration: .3s;
	}
	.experiment-type-container.hidden{
		visibility: hidden;
		opacity: 0;
	}
	.experiment-type-container.hidden .experiment-type,
	.experiment-type-container.hidden .experiment-type-footer{
		transform: translateX(100%);
	}
	.el-pagination{
		margin: 30px;
	}
}
/* 富文本 */
.richtext-container img{
    max-width: 100%;
}